Download it now!
Bug 51859 - UI: the navigator does not see any comments
Summary: UI: the navigator does not see any comments
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.0.beta2
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:3.7.0 target:3.6.0.2
Keywords: regression
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2012-07-08 01:42 UTC by Jean-Baptiste Faure
Modified: 2012-07-16 11:10 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
spreadsheet with one comment in cell A1 (8.24 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-07-08 01:42 UTC, Jean-Baptiste Faure
Details
navigator in Calc for master (86.07 KB, image/png)
2012-07-13 08:24 UTC, Jean-Baptiste Faure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2012-07-08 01:42:03 UTC
Created attachment 63966 [details]
spreadsheet with one comment in cell A1

Steps to reproduce:
- open the attached file in LO 3.6.0.0.beta3
- open the navigator: hit F5
- there is a comment attached to cell A1 ; it is indicated by the small red square on the right upper corner of the cell.

actual behavior: the comments list in the navigator is empty
expected behavior: the list show the comment.

No problem in LO 3.5.
Tested in LO 3.6.0.0.beta3 and 3.6.0.0.beta3+ (Build ID: 266a6ab)

Best regards. JBF
Comment 1 Jean-Baptiste Faure 2012-07-08 01:42:58 UTC
works in LO 3.5 so regression.
Comment 2 pierre-yves samyn 2012-07-08 03:07:24 UTC
Hello

I reproduce with windows 7 64bits & Version 3.6.0.0.beta3 (Build ID: 3e2b862)

Note: no problem in writer

Regards
Pierre-Yves
Comment 3 Roman Eisele 2012-07-10 08:43:56 UTC
REPRODUCIBLE with
* LibreOffice 3.6.0.0.beta3 (Build ID: 3e2b862)
* LibreOffice 3.6.0.0.beta2 (Build ID: f010139)
both with German langpack installed, on MacOS X 10.6.8 German.

-- Fixed Summary ("not" was missing, wasn't it?!)
-- Bug already reproducible with beta 2, therefore changed Version to "3.6.0.0.beta2".
-- Bug also reproducible on Windows (comment #2) and MacOS X, therefore changed Platform to "All"
Comment 4 Roman Eisele 2012-07-10 09:21:10 UTC
Hello Kohei,
hello Markus,

can you please take a look at this Calc issue? It is a clear regression in LibreOffice 3.6 against 3.5, it makes navigating through the comments impossible, and therefore will affect many experienced Calc users. And maybe it is easy to fix. It would be very nice to get this fixed before 3.6 goes final.

Thank you very much in advance!
Comment 5 Markus Mohrhard 2012-07-12 06:53:08 UTC
That's one for me. It is a one line change that I forgot to add back.
Comment 6 Not Assigned 2012-07-12 07:09:29 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2042b2ea78f68063fb8f0f6e2b59b8962bcbef57

show comments in the navigator, fdo#51859
Comment 7 Roman Eisele 2012-07-12 07:42:54 UTC
(In reply to comment #6)
> Markus Mohrhard committed a patch related to this issue. [...]

Thank you very much for your fast response and fix!
Comment 8 Jean-Baptiste Faure 2012-07-12 12:24:52 UTC
Hi Markus,

Thank you for the fix. Did you plan to backport it to 3.6, if possible?

Best regards. JBF
Comment 9 Jean-Baptiste Faure 2012-07-13 08:24:02 UTC
Created attachment 64165 [details]
navigator in Calc for master

Hi Markus,
It seems there is a weird side effect with your patch: in the navigator there is no label anymore for graphics, comments, etc.
Bug in Calc and master only. Version 3.7.0.0.alpha0+ (Build ID: 0234b73)

Best regards. JBF
Comment 10 Not Assigned 2012-07-16 10:05:59 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=409ac385ad29bec0167c3b6f6119b24d4f5409bf&g=libreoffice-3-6

show comments in the navigator, fdo#51859


It will be available in LibreOffice 3.6.
Comment 11 Jean-Baptiste Faure 2012-07-16 11:10:42 UTC
Verified in Version 3.6.0.1+ (Build ID: 409ac38).
Thank you Markus.

Best regards. JBF